import './demo5.css';
import Icon from '..';
import React from 'react';
import ReactDOM from 'react-dom';
const sizes = ['xxs', 'xs', 'small', 'medium', 'large', 'xl', 'xxl', 'xxxl'];
const CustomIcon = Icon.createFromIconfontCN({
    scriptUrl: '//at.alicdn.com/t/font_1464085_egnk4s8yv2f.js',
});
ReactDOM.render(React.createElement("div", null,
    React.createElement("div", { className: "icon-list-2" },
        React.createElement(CustomIcon, { type: "icon-store" }),
        React.createElement(CustomIcon, { type: "icon-pic" }),
        React.createElement(CustomIcon, { type: "icon-gift" })),
    React.createElement("br", null),
    React.createElement("ul", { className: "icon-sizes" }, sizes.map((size, index) => (React.createElement("li", { key: index },
        React.createElement(CustomIcon, { type: "icon-pic", 
            // @ts-ignore
            size: size }),
        React.createElement("span", null, size)))))), document.getElementById('icon-demo-5'));
